// -*- C++ -*-

//=============================================================================
/**
 *  @file    assert.h
 *
 *  verify program assertion
 *
 *  assert.h,v 1.3 2003/04/21 15:52:59 dhinton Exp
 *
 *  @author Don Hinton <dhinton@ieee.org>
 *  @author This code was originally in various places including ace/OS.h.
 */
//=============================================================================

#ifndef ACE_OS_INCLUDE_ASSERT_H
#define ACE_OS_INCLUDE_ASSERT_H

#include "ace/pre.h"

#include "ace/config-all.h"

#if !defined (ACE_LACKS_PRAGMA_ONCE)
# pragma once
#endif /* ACE_LACKS_PRAGMA_ONCE */

#if !defined (ACE_LACKS_ASSERT_H)
# include /**/ <assert.h>
#endif /* !ACE_LACKS_ASSERT_H */

// @todo define assert macro if needed..

#include "ace/post.h"
#endif /* ACE_OS_INCLUDE_ASSERT_H */
